ApiMigrateRolesArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiMigrateRolesArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiMigrateRolesArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiMigrateRolesArguments
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiMigrateRolesArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiMigrateRolesArguments` | `addRoleNamesToMigrateItem(String roleNamesToMigrateItem)`
    `ApiMigrateRolesArguments` | `clearStaleRoleData(Boolean clearStaleRoleData)`
    `ApiMigrateRolesArguments` | `destinationHostId(String destinationHostId)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getClearStaleRoleData()` Delete existing stale role data, if any.
    `String` | `getDestinationHostId()` The ID of the host to which the roles should be migrated.
    `List<String>` | `getRoleNamesToMigrate()` The list of role names to migrate.
    `int` | `hashCode()`
    `ApiMigrateRolesArguments` | `roleNamesToMigrate(List<String> roleNamesToMigrate)`
    `void` | `setClearStaleRoleData(Boolean clearStaleRoleData)`
    `void` | `setDestinationHostId(String destinationHostId)`
    `void` | `setRoleNamesToMigrate(List<String> roleNamesToMigrate)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiMigrateRolesArguments

          public ApiMigrateRolesArguments()

  - ### Method Detail

    - #### roleNamesToMigrate

          public ApiMigrateRolesArguments roleNamesToMigrate(List<String> roleNamesToMigrate)

    - #### addRoleNamesToMigrateItem

          public ApiMigrateRolesArguments addRoleNamesToMigrateItem(String roleNamesToMigrateItem)

    - #### getRoleNamesToMigrate

          public List<String> getRoleNamesToMigrate()

      The list of role names to migrate.
      Returns:
        roleNamesToMigrate

    - #### setRoleNamesToMigrate

          public void setRoleNamesToMigrate(List<String> roleNamesToMigrate)

    - #### destinationHostId

          public ApiMigrateRolesArguments destinationHostId(String destinationHostId)

    - #### getDestinationHostId

          public String getDestinationHostId()

      The ID of the host to which the roles should be migrated.
      Returns:
        destinationHostId

    - #### setDestinationHostId

          public void setDestinationHostId(String destinationHostId)

    - #### clearStaleRoleData

          public ApiMigrateRolesArguments clearStaleRoleData(Boolean clearStaleRoleData)

    - #### getClearStaleRoleData

          public Boolean getClearStaleRoleData()

      Delete existing stale role data, if any. For example, when migrating a NameNode, if the destination host has stale data in the NameNode data directories (possibly because a NameNode role was previously located there), this stale data will be deleted before migrating the role. Defaults to false.
      Returns:
        clearStaleRoleData

    - #### setClearStaleRoleData

          public void setClearStaleRoleData(Boolean clearStaleRoleData)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.